Subject: improper render of sectionIndex
Description

Hi,

in TYPO3 4.7 css_styled_content changed the way how a indexSection gets rendered (tt_content.menu.20.3).

Issue #37449 describes how that brakes index sections for some people. At least in my case this could be due to templavoila's user
function (tx_templavoila_pi1->tvSectionIndex).

Is it possible that templavoiala 1.8.0 doesn't play along with the new rendering of index sections in css_styled_content?

Regards,
Franz

Related issues:
related to Core - Bug # 37449: Section Index incorrect output Closed 2012-05-23
related to Core - Bug # 45878: Section Index incorrect output Closed 2012-05-23
related to TemplaVoila - Bug # 65661: Section Index does not display links bu... Accepted 2015-03-11
related to TemplaVoila - Bug # 65660: Content Element "Section Index" does no... Accepted 2015-03-11
duplicates TemplaVoila - Bug # 43542: TV does not respect "Show in Section Me... Resolved 2012-12-03

History
#1 - 2013-02-27 08:31 - Christian Nölle

Mh, having issues with the section index as well right at the moment. Using TV 1.8 with 4.5.latest gives us no output at all. Sitemap et al is working
fine.

#2 - 2013-02-27 10:14 - Franz Geiger

That doesn't seem to be the same issue. In the described issue the sectionIndex has output. Though the header of the sectionIndex gets repeated
instead of displaying headers of all sections on this site.

#3 - 2013-03-04 13:22 - Christian Nölle

Forget about my addition to this issue, my bug was handmade and has nothing to do with the initial issue. Sorry about that.
#4 - 2013-04-16 15:26 - Francois Suter

Franz, I can confirm this.

It is due to the fact that the rendering of the Section Index menu changed in the Core. It used to be a CONTENT cObject and method
tx_templavoila_pi1->tvSectionIndex reused the "renderObj" property to do its rendering. That does not exist anymore. To make TV work again as
before it would have to be added again in ext_localconf.php, in that piece of code:

        //sectionIndex replacement
$tvSetup[] = 'tt_content.menu.20.3 = USER
    tt_content.menu.20.3.userFunc = tx_templavoila_pi1->tvSectionIndex
    tt_content.menu.20.3.select.where >
    tt_content.menu.20.3.indexField.data = register:tx_templavoila_pi1.current_field
';

#5 - 2013-04-16 15:38 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20004

#6 - 2013-04-16 15:40 - Francois Suter

BTW if you want your project's status to be automatically updated when a patch is submitted to Gerrit, you need to set the "gerrit-review" as a member
with role "Bot".

#7 - 2013-04-16 15:54 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20004

#8 - 2014-01-17 14:52 - schmitz no-lastname-given

With Patch 2 the output looks better for me, but the last element on the site is never dispalyed (as long as the section index plugin ist enabled).

So I have to put an empty content element underneath the existing ones to get all elements displayed...

I use TV 1.8.0 and TYPO3 6.1.7

EDIT:

I've copied the part of css_styled_content 4.6 in my new Typoscript to get it work:

tt_content.menu = COA
tt_content.menu {
    20 = CASE
    20 {        # "Section index (pagecontent w/Index checked - liststyle)" 
        3 < styles.content.get
        3 {
            wrap = <ul class="csc-menu csc-menu-3">|</ul>
            select.andWhere = sectionIndex!=0
            select.pidInList.override.field = pages
            renderObj = TEXT
            renderObj {
                fieldRequired = header
                trim = 1
                field = header
                htmlSpecialChars = 1
                wrap = <li class="csc-section">|</li>
                typolink.parameter.field = pid
                typolink.section.field = uid
            }
        }
    }
}

#9 - 2014-06-05 18:55 - Alexander Schnitzler
- Category set to Frontend Rendering
- Is Regression set to No

#10 - 2014-12-01 17:59 - Jan Roth
- Assigned To set to Christian Nölle
- Target version set to 2.0.0

It seems that tt_content.menu.20.3 not longer have renderObj config in 6.2 (replaced with stdWrap....) hope it is not an extension in our installation,
maybe others have seen this too? Christian?

#11 - 2014-12-02 14:47 - Christian Nölle
- Assigned To deleted (Christian Nölle)

please do not assign tickets. thx.

#12 - 2015-03-02 16:38 - Sebastien Convers
- File 49.png added
- File 46.png added
- Target version deleted (2.0.0)

Hello,

I'm having issues with the section index, it creates duplicate content, please see screenshots

TYPO3 6.2.10, Templavoila 1.9.3

Troubles also with 6.2.9 and TV 1.9.2
The fix from "schmitz no-lastname-given" (https://forge.typo3.org/issues/45583#note-8) corrects rendering but "unlinked" contents are displayed.

Can we have a fix that works with TYPO3 6.2 please ?

#13 - 2015-03-05 10:45 - Christian Nölle

Can confirm this as well. 6.2.10 is creating duplicate content with 1.9.2. and 1.9.3

#14 - 2015-03-10 13:13 - Alexander Schnitzler
- Target version set to 1.9.5

#15 - 2015-03-10 13:16 - Alexander Schnitzler
- Status changed from New to Resolved

Will be resolved in 1.9.5, to be released soon.

@Sebastien Convers: Once you installed 1.9.5 make sure, you do not include the sitemap element in the section index, as this causes the recursion.

#16 - 2015-03-11 07:48 - Christian Nölle

This stopped not only the duplicate rendering, but also stopped the rendering of the menu altogether :/ Or am I doing sth wrong? Section index is not
populated anymore for same page or for other selected page...

#17 - 2015-03-11 08:43 - Alexander Schnitzler

Do you have time war a skype/phone call today? I get different responses regarding the patch. Sebastien wrote me an email and said, that the
recursion didn't stop, you do say sth. completely different. Maybe I did oversee an important detail when creating the bugfix.

#18 - 2015-03-11 08:44 - Christian Nölle

Ay, no prob. Got no skype, so contact me via phone or jabber. Got my details?

#19 - 2015-03-11 08:45 - Alexander Schnitzler

Nope, but ping me on twitter and/or slack.

#20 - 2015-03-11 08:53 - Sebastien Convers
- File 49.png added
- File 02.png added

Hello !

So, after my mail : I exclude the menu from section index, and it seems to stop the recursion.

2015-08-04 4/5

https://forge.typo3.org/issues/45583#note-8


But like Christian, it's not working for other selected page AND it does not generate section links but display all the content from the page, you can see
my screens :)

#21 - 2015-03-11 10:22 - Alexander Schnitzler

Please see:
https://forge.typo3.org/issues/65660
https://forge.typo3.org/issues/65661

Files
49.png 16.8 kB 2015-03-02 Sebastien Convers
46.png 46.5 kB 2015-03-02 Sebastien Convers
49.png 14.3 kB 2015-03-11 Sebastien Convers
02.png 35.7 kB 2015-03-11 Sebastien Convers
